#23835 [Com]: setcookie doc out of date

From: Date: Mon, 02 Jun 2003 12:30:47 +0000
Subject: #23835 [Com]: setcookie doc out of date
References: 1  Groups: php.doc 
Request: Send a blank email to phpdoc+get-969354176@lists.php.net to get a copy of this message
ID: 23835 Comment by: kruemelmonster at cookiecan dot de Reported By: kruemelmonster at cookiecan dot de Status: Closed Bug Type: Documentation problem PHP Version: 4.3.2RC4 New Comment: thanks for considering and discussing this minor issue! Previous Comments: ------------------------------------------------------------------------ [2003-05-28 11:13:50] philip@php.net This is now documented and will show up during the next manual build, thanks for the report :) http://cvs.php.net/cvs.php/phpdoc/en/reference/http/functions/setcookie.xml Too much information won't hurt anyone here, should be clearer now :) ------------------------------------------------------------------------ [2003-05-28 10:19:40] et@php.net Linking to the RFC instead of the Netscape docs would be wrong, because PHP implements the Netscape version and not RFC 2109 or RFC 2965. And if the PHP Manual says you pass the expires argument as an integer, and the netscape docs say the expires attribute is a RFC822 Date String, it's imho obvious that it gets autoconverted. Maybe "specifics" should be changed into "internals", if you think that is more appropriate... ------------------------------------------------------------------------ [2003-05-27 14:22:57] goba@php.net The text says: "The following table explains each parameter of the setcookie() function, be sure to read the Netscape cookie specification for specifics." Then the table says that the user need to use an integer for the time. That is inconsistent. As there is no note that the time is converted automatically. Linking to the RFC instead of the Netscape docs is also more "standard". ------------------------------------------------------------------------ [2003-05-27 12:59:29] et@php.net The documentation tells the user correctly how to use setcookie(). IMHO, he doesn't need to know about RFC822 dates - in fact, it doesn't help him at all. I'm not against adding a note in the manual page, but i consider it unneccessary, especially since the netscape document which states that the time in the header is a RFC822 date string is linked for those who are interested in the internals, but the average PHP user is not. ------------------------------------------------------------------------ [2003-05-27 12:23:55] goba@php.net I don't agree that this is not a bug. The reference refers that the netscape info, and there the expiration date is a string. This time->string conversion is done by PHP however. This is not documented. Also some links to the new RFCs would be good. They are more official then the Netscape docs. Even if we don't support all of the options fully. BTW the question that the setcookie function needs a maxage paramater is a feature request, please open another bug as a feature request for that. ------------------------------------------------------------------------ The remainder of the comments for this report are too long. To view the rest of the comments, please view the bug report online at http://bugs.php.net/23835 -- Edit this bug report at http://bugs.php.net/?id=23835&edit=1

« previous php.doc (#969354176) next »